#
# spec file for package libqimageblitz4
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libqimageblitz4
Version:        0.0.6
Release:        14.4
Summary:        Graphical effect and filter library for KDE
License:        BSD-2-Clause
Group:          System/Libraries
Url:            http://qimageblitz.sourceforge.net/
Source0:        ftp://ftp.kde.org/pub/kde/stable/qimageblitz/qimageblitz-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM qimageblitz-0.0.4-noexecstack.patch -- Fix "executable-stack" rpmlint warning (taken from Fedora - upstreamed to kdesupport)
Patch0:         qimageblitz-0.0.4-noexecstack.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake
BuildRequires:  kde4-filesystem
BuildRequires:  libqt4-devel

%description
libqimageblitz4 is a graphical effect and filter library for KDE4 that contains
many improvements over KDE 3.x's kdefx library including bugfixes, memory and
speed improvements, and MMX/SSE support.

%package -n libqimageblitz-devel
Summary:        Development files for libqimageblitz
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       libqt4-devel

%description -n libqimageblitz-devel
This package contains development files for libqimageblitz.

%prep
%setup -q -n qimageblitz-%{version}
%patch0 -p1

%build
%cmake_kde4 -d build
%make_jobs

%install
cd build
%kde4_makeinstall
cd ..

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/libqimageblitz.so.4*

%files -n libqimageblitz-devel
%defattr(-,root,root,-)
%doc COPYING Changelog README.*
%{_bindir}/blitztest
%{_includedir}/qimageblitz/
%{_libdir}/libqimageblitz.so
%{_libdir}/pkgconfig/qimageblitz.pc

%changelog
* Mon Jun 10 2013 cfarrell@suse.com
- license update: BSD-2-Clause
  See COPYING
* Mon May 16 2011 asterios.dramis@gmail.com
- Update to 0.0.6
- Spec file updates:
  * Changes based on spec-cleaner run.
  * Changes in Group, Url, Summary and %%description entries.
  * Removed Provides/Obsoletes entries for libblitz4.
  * Removed %%changelog entries.
  * Minor other updates.
- Added a patch (taken from Fedora) to fix "executable-stack" rpmlint warning.
* Sun Apr 13 2008 dmueller@suse.de
- fix build against cmake 2.6
* Thu Jan 10 2008 dmueller@suse.de
- update to 0.0.4 (official release):
  * small bugfixes
* Sat Sep  1 2007 stbinner@suse.de
- rename to libqimageblitz4 and update to SVN version
* Wed Aug 15 2007 dmueller@suse.de
- Initial package
